Bug 8310 - сломана командная строка (ее почти не видно при наборе команды)
: сломана командная строка (ее почти не видно при наборе команды)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-21 11:25 by
Modified: 2008-02-23 17:47 (History)


Attachments
скриншот, демонстрирующий проблему (2.60 KB, image/png)
2005-10-21 13:47, Vladimir V. Kamarzin
no flags Details
mc-4.6.1-alt-promptfix.patch (337 bytes, patch)
2005-10-30 19:19, Valery Inozemtsev
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-21 11:25:39
Командная строка в MC выглядит как куча space (даже когда в ней набираешь
что-то
видно от силы две-три буквы)
Steps to Reproduce:
запустить mc
------- Comment #1 From 2005-10-21 13:47:46 -------
Created an attachment (id=1207) [details]
скриншот, демонстрирующий проблему

Кстати, под рутом всё нормально, такое наблюдается только под обычным
пользователем.
------- Comment #2 From 2005-10-22 13:50:10 -------
(In reply to comment #1)
> Кстати, под рутом всё нормально, такое наблюдается только под обычным
> пользователем.
Всё несколько сложнее. И вроде как зависит от шелла/локали.

(указаны дефолтные шеллы)
юзер1, zsh: глюк
рут, zsh: глюк
юзер2, bash: нормально
юзер2, zsh: глюк

При этом если запускать из дефолтного шелла другой, глюк появится в зависимости  
от _дефолтного_ шелла, а не запускаемого. Т.е. в приведенных выше случаях можно 
из zsh пустить баш, но глюк будет, и наоборот.

Локаль у юзеров 1251, у рута C.
zsh-4.3.0-alt0.3
------- Comment #3 From 2005-10-22 14:30:28 -------
Откатил zsh на 4.3.0-alt0.2 - нормально.
Вернул на место, откатил mc на 4.6.0-alt9 - тоже нормально.
------- Comment #4 From 2005-10-22 14:36:42 -------
Подтверждаю. Аналогичное на zsh-4.3.0-alt0.4 + mc-4.6.1r-alt3 + KOI8-R локаль.
Не подтверждается на rbash-2.05b-alt7 + mc-4.6.1r-alt3 + KOI8-R локаль.
------- Comment #5 From 2005-10-30 15:38:26 -------
похоже виновник mc-4.6.1a-rh-promptfix.patch  
------- Comment #6 From 2005-10-30 19:18:37 -------
разобрался. нужно выкинуть mc-4.6.1a-rh-promptfix.patch и добавить 
mc-4.6.1-alt-promptfix.patch (накладывается после mc-4.6.1-rh-alt-utf8.patch) 
------- Comment #7 From 2005-10-30 19:19:43 -------
Created an attachment (id=1223) [details]
mc-4.6.1-alt-promptfix.patch
------- Comment #8 From 2005-12-02 17:02:51 -------
(In reply to comment #7)
> Created an attachment (id=1223) [edit] [details]
> mc-4.6.1-alt-promptfix.patch

С этим патчем работает.
------- Comment #9 From 2006-02-04 20:42:36 -------
Так на mc действует опция zsh PROMPT_SP, которая в новой сборке zsh по
умолчанию
включена.

PROMPT_SP <D>
     Attempt to preserve a partial line (i.e. a line that did not end
     with a newline) that would otherwise be covered up by the command
     prompt due to the PROMPT_CR option.  This works by outputting some
     cursor-control characters, including a series of spaces, that
     should make the terminal wrap to the next line when a partial line
     is present (note that this is only successful if your terminal has
     automatic margins, which is typical).

     When a partial line is preserved, you will see an inverse+bold
     character at the end of the partial line:  a "%" for a normal user
     or a "#" for root.

     NOTE: if the PROMPT_CR option is not set, enabling this option
     will have no effect.  This option is on by default.
------- Comment #10 From 2006-02-06 12:47:21 -------
(In reply to comment #9)
> PROMPT_SP <D>
>      When a partial line is preserved, you will see an inverse+bold
>      character at the end of the partial line:  a "%" for a normal user
>      or a "#" for root.

А, так вот из-за чего после обновления zsh начал иногда вылазить "мусор"... Я 
уж хотел багу вешать.

Так а что с патчами?
------- Comment #11 From 2006-10-20 02:40:13 -------
FIXED вроде:

* Mon Oct 16 2006 Igor Zubkov <icesik@altlinux> 4.6.1r-alt6
- revert mc-4.6.1a-rh-promptfix.patch (buggy)
- fix promt (mc-4.6.1-alt-promptfix.patch) (#8310)